#include <amxmodx>
#include <amxmisc>

#define PLUGIN "Team Limiter"
#define VERSION "1.1"
#define AUTHOR "CHOYRACK"

//**Tego nie zmienia**//
#define UNASSIGNED      0
#define T             	1
#define CT            	2
#define AUTO_TEAM       5
//*********************//

public plugin_init() {
	register_plugin(PLUGIN, VERSION, AUTHOR)
	
	register_menucmd(register_menuid("Team_Select",1),(1<<0)|(1<<1)|(1<<4),"teamselect")
	register_clcmd("jointeam","jointeam")
	
	register_cvar("tl_limit_graczy","0")
	register_cvar("tl_ktory_team_ograniczac","0") //0 - T; 1 - CT
	
	set_cvar_num("mp_limitteams",0)
	set_cvar_num("mp_autoteambalance",0)

}

public jointeam(id) {
	new arg[2]
	read_argv(1,arg,1)
	return checkTeam(id,str_to_num(arg))
}

public teamselect(id,key) {
	return checkTeam(id,key+1) // TAK, ma byc +1
}

checkTeam(id,NewTeam) {
	if(get_cvar_num("tl_ktory_team_ograniczac") == 0) {
		new in_t = 0
		if(NewTeam == T || NewTeam == AUTO_TEAM) {
			for(new i = 1; i <= get_playersnum(); i++) //liczymy graczy w T
				if(get_user_team(i) == T)
					in_t++
					
			if(in_t >= get_cvar_num("tl_limit_graczy")) {
				client_print(id, print_chat, "[TL] Druzyna T pelna! Wejdz do CT.");
				engclient_cmd(id,"jointeam","CT")
			}
			else
				return PLUGIN_CONTINUE
		}
		else
			return PLUGIN_CONTINUE
	}
//****************************************************************************//
	else if(get_cvar_num("tl_ktory_team_ograniczac") == 1) {
		new in_ct = 0
		if(NewTeam == CT || NewTeam == AUTO_TEAM) {
			for(new i = 1; i <= get_playersnum(); i++) //liczymy graczy w T
				if(get_user_team(i) == CT)
					in_ct++
		
			if(in_ct >= get_cvar_num("tl_limit_graczy")) {
				client_print(id, print_chat, "[TL] Druzyna CT pelna! Wejdz do T.");
				engclient_cmd(id,"jointeam","T")
			}
			else
				return PLUGIN_CONTINUE
		}
		else
			return PLUGIN_CONTINUE
	}
	else
		client_print(0, print_chat, "[TL] Bledne ustawienie cvar: tl_ktory_team_ograniczac <0|1>")
		
	return PLUGIN_HANDLED
}
